<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  
  <title>Intro to Vue 3</title>
  <!-- Import styles -->
  <link rel="stylesheet" href="./assets/styles.css">
  <!-- Import Vue.js -->
  <script src="https://unpkg.com/vue@next"></script>
</head>
<body>
  <div id="app">
    <div class="nav-bar"></div>

    <div class="cart">Cart {{ cart.length }} </div>
    <product-display 
      :premium="premium"
      :cart="cart" 
      @add-to-cart="updateCart"
      @remove-from-cart="removeFromCart"

    >
    </product-display>
    


  </div>

  <!-- Import App -->
  <script src="./main.js"></script>

  <!-- Import Components -->
  <script src="./components/ProductDisplay.js"></script>
  
  <script src="./components/ProductDetails.js"></script>

  <script src="./components/ReviewForm.js"></script>

  <script src="./components/ReviewList.js"></script>
  <!-- Mount App -->
  <script>
    const mountedApp = app.mount('#app');
  </script>

</body>
</html>